    
    
    
    
    
    
The following is a complete list of changes neccessary to mod-
ify a Revision D Sol to a Revision E Sol.  These changes are il-
lustrated in Figures A & B for your conveniance:
    
    
1. CLOCK WIDTH FIX:
   ----------------
On component side of Sol PCB, cut the trace between jumpers D
and E (U90 and U91) of the clock geberator.  On the solder side
of the PCB, connect a jumper from pin E to the feedthrough which
leads to U91 pin 5. This brings PHASE 1 into 8080 spec at 140 ns
rather than 70 ns without this mod.
    
    
2. PHANTOM GLITCH FIX:
   -------------------
On the solder side of the PCB, connect a jumper from U76 pin 4
to the feedthrough immediately below U76 pin 1.  This assures
the Sol will always power up with 4 PHANTOM cycles.
    
    
3. GROUND NOISE FIX:
   -----------------
On the solder side of the PCB, jumper pin 8 of U33, U50, U68 and
U81 to the ground feedthrough leading to C45.  Use 20 - 22 guage
insulated and starnded wires and keep as short as possible.  The
fix shortens the return path to ground from the bus drivers. On
occasion the present return path can be quite noisy.
    
    
4. PROTECT FIX:
   ------------
On the solder side of the PCB, connect a jumper from the ground
side of C11 to pin 70 of the 100-pin bus connector J11.  This
will ground the PROTECT line which is currently floating.  Again
use 20 - 22 guage insulated and stranded wire.
    
    
5. DMA / INTERRUPT UNSCRAMBLE:
   ---------------------------
On the component side of the PCB, cut the trace leading to pin
73 of J11 (S100 connector).  Cut the trace leading to pin 1 of
U45 on the solder side of the PCB.  Also on the solder side, cut
the second trace to the right of U64.
    
Jumper pin 73 of J11 to pin 1 of U45.  Jumper from pin 28 of J11
to the feedthrough which formerly led to pin 73 of J11 before
the trace was cut. Jumper the feedthrough directly below pin 1
of U45 to the feedthrough to the right of U64 pin 3.  This fix
will allow the Sol to be used with DMA devices.  HELIOS II and
other DMA devices will not work without this fix.
    
    
6. MWRITE FIX:
   -----------
On the solder side of the PCB, cut the trace leading to pin 7 of
U93.  On the solder side, cut the trace leading to the feed-
through immediately below pin 1 of U92. DO NOT CUT THE TRACE
LEADING TO U92 PIN 1!!  Connect a jumper from this feedthrough
to pin 13 of U107.
    
On the solder side, jumper the feedthrough leading to U94 pin 9
to the trace which formerly led to U94 pin 7 before the trace
cut.  This fix decodes the MWRITE signal from SOUT and PWR even
when a DMA device has disabled the Status Drivers.  This is es-
pecialy important to memory boards which require MWRITE and do
not decode PWR and SOUT internally and DMA devices (such as HE-
LIOS) which do not supply their own MWRITE to the bus.
    
7. CURRENT LOOP FIX:
Cut the large trace which leads to R23 and R24 on the solder
side of the PCB.  Connect the now isolated end of R23 to the
+12 Volt feedthrough as shown in Figure B.
    
NOTE: These changes were elaborated in Issues 2 and 3 of ACCESS
                    (April and June of 1977)
    
    
               * * * * * * * * * * * * * *
    
    
    
The following is a list of changes to bring a Revision E Sol to
a Revision F Sol:
    
    
1. Substitute a 15K, 1/4 watt (5%) resistor in place of R29
(formerly a 10K resistor). When the new R29 is installed, put
1" of tubing over the right hand lead.  With the PC legend in
normal reading position, connect left hand lead of R29 to left
hand lead of R23 (+12 volts) making a 90 degree bend in the R29
lead.
    
2. Substitute a 270 ohm, 1/4 watt (5%) resistor for R21 (former-
ly a 470 ohm resistor).
This change is to increase the drive capability of the serial
current loop and was elaborated in Change Notice #10.
    
    
3. Change the value of VR3 from 50K pot to a 100K pot.  This
allows a wider range of variation when adjusting the VCO center
frequency to account for part variation among vendors.  Also,
change the value of R154 from 100K to 47K.
To reset this frequency, turn Sol on and measure pin 4 of U110.
It should read 14.0 KHz or 71.4 usec. This change is advised in
Change Notice #11.
    
    
4. If your Sol has a revision B Regulator PCB, it may be neces-
sary to perform a mod to the crowbar circuit to enhance its re-
liability.  These changes may be found in Change Notice #6-2 REV
C.  
    
    
                 * * * * * * * * * * * * * *
    
    
    
The following are the changes from a Revision F Sol to a Revi-
sion G Sol:
    
    
    
